
#include "MacroPatternMatch.h"

#include "HROOTCoreTNamed.h"

#include "TRandom.h"

#include "HROOTMathTRandom.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TNAMED_DEF_VIRT(TRandom)
TOBJECT_DEF_VIRT(TRandom)
DELETABLE_DEF_VIRT(TRandom)
TRANDOM_DEF_VIRT(TRandom)
TRANDOM_DEF_NONVIRT(TRandom)
TRANDOM_DEF_ACCESSOR(TRandom)

